RinghouseAPI reference
Get started

Contacts

Get a contact

One contact by id. A private contact 404s here for the same reason it is missing from the list.

GET/v1/contacts/{contact_id}

Needs the contacts:read scope.

Path parameters

contact_idstringrequired
Contact id

Returns

The contact. A failed call answers with an error instead.

idstring
companystringnullable
createdAtstring
emailstringnullable
firstNamestring
jobTitlestringnullable
lastNamestring
notesstringnullable
phoneNumberstring
updatedAtstring
websitestringnullable
curl https://api.ringhouse.ai/v1/contacts/{contact_id} \
  -H "Authorization: Bearer rh_live_xxxxxxxx"
{
  "id": "8c1d4e7a-5b2f-4a90-9e1c-3f7d2b6a1c08",
  "company": "Northwind",
  "createdAt": "2026-09-25T14:02:11Z",
  "email": "ada@example.com",
  "firstName": "Ada",
  "jobTitle": "Office manager",
  "lastName": "Lovelace",
  "notes": "Prefers a text to a call",
  "phoneNumber": "+441134960000",
  "updatedAt": "2026-09-25T14:02:11Z",
  "website": "https://northwind.example.com"
}